<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.system.mapper.SysQiyejieshaoMapper">
    
    <resultMap type="SysQiyejieshao" id="SysQiyejieshaoResult">
        <result property="id"    column="id"    />
        <result property="qiyejiesho"    column="qiyejiesho"    />
    </resultMap>

    <sql id="selectSysQiyejieshaoVo">
        select id, qiyejiesho from sys_qiyejieshao
    </sql>

    <select id="selectSysQiyejieshaoList" parameterType="SysQiyejieshao" resultMap="SysQiyejieshaoResult">
        <include refid="selectSysQiyejieshaoVo"/>
        <where>  
            <if test="qiyejiesho != null  and qiyejiesho != ''"> and qiyejiesho = #{qiyejiesho}</if>
        </where>
        order by id desc
    </select>
    
    <select id="selectSysQiyejieshaoById" parameterType="Long" resultMap="SysQiyejieshaoResult">
        <include refid="selectSysQiyejieshaoVo"/>
        where id = #{id}
    </select>
        
    <insert id="insertSysQiyejieshao" parameterType="SysQiyejieshao">
        insert into sys_qiyejieshao
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="id != null">id,</if>
            <if test="qiyejiesho != null and qiyejiesho != ''">qiyejiesho,</if>
         </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="id != null">#{id},</if>
            <if test="qiyejiesho != null and qiyejiesho != ''">#{qiyejiesho},</if>
         </trim>
    </insert>

    <update id="updateSysQiyejieshao" parameterType="SysQiyejieshao">
        update sys_qiyejieshao
        <trim prefix="SET" suffixOverrides=",">
            <if test="qiyejiesho != null and qiyejiesho != ''">qiyejiesho = #{qiyejiesho},</if>
        </trim>
        where id = #{id}
    </update>

    <delete id="deleteSysQiyejieshaoById" parameterType="Long">
        delete from sys_qiyejieshao where id = #{id}
    </delete>

    <delete id="deleteSysQiyejieshaoByIds" parameterType="String">
        delete from sys_qiyejieshao where id in 
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </delete>
</mapper>